Const

     ViaCludgeMasks     : Array[0..3] of String =
       (#1+'Via '+ProgramName+' %SS%R7, %D3%D8%D5%DW %DD %DM %DY at %T0%TT%SL'+#13,
        #1+'Via %SS%R7 @%D2%DY%D4%DM%DD.%TH%TM%TS%SL '+ProgramName+' '+VersionStr+#13,
        #1+'Via '+ProgramName+' %SS%R7, %D3%D8%D5%DW %DD %DM %DY at %T1%TT%SL'+#13,
        #1+'Via '+ProgramName+' %SS%R7, %D3%D8%D5%DW %DD %DM %DY at %T0%TT%SL'+#13
        );

     AreaCludgeMask     : String[20] = 'AREA:%RC'+#13;
     MsgIdCludgeMask    : String[40] = #1+'MSGID: %R7 %SS%ML8%HZ%SL'+#13;
     IntlCludgeMask     : String[40] = #1+'INTL %B1:%B3/%B7 %B0:%B2/%B6'+#13;
     DomainCludgeMask   : String[54] = #1+'DOMAIN  %R2 %B1:%B3/%B7.%B9 %R6 %B0:%B2/%B6.%B8'+#13;
     FmPtCludgeMask     : String[20] = #1+'FMPT %B8'+#13;
     ToPtCludgeMask     : String[20] = #1+'TOPT %B9'+#13;
     PIdCludgeMask      : String[60] = #1+'PID: %RW %RX %HY'+#13;
     FlagCludgeMask     : String[60] = #1+'FLAGS %RR'+#13;
     PathCludgeMask     : String[24] = #1+'PATH: %RR'+#13;
     SeenByCludgeMask   : String[24] = 'SEEN-BY: %RR'+#13;

     UUE_AddSubj        : String[72] = '%RE [%BU] ';

     DefaultSeenBy      : String[72] = '';
     DefaultEchoPath    : String[72] = '';

     PktPassword        : String[8]  = '';

     ConfigFileName     : String[80] = 'POSTUTIL.CFG';
     DefaultConfigFile  : String[12] = 'DEFAULT.CFG';

     FileNames          : Array[0..6] of String[80] =
                          ('POSTUTIL.LOG',          { Log-file           }
                           '',                      { XCross list        }
                           '',                      { CCopy  list        }
                           'POSTUTIL.TXT',
                           '',                      { AreaFile           }
                           'ARCMAIL.T-M',           { NewPktFlag         }
                           'COOKIE.TXT'             { Cookie File        }
                           );

     Extensions         : Array[0..1] of String[3] =
                          ('TXT','');

     Directory          : Array[0..5] of String[80] =
                          ('',             { Work path                     }
                           'ECHO\',        { Root path for Echo-Dir's      }
                           'NETMAIL\',     { Netmail path                  }
                           '',             { Outbound .Pkt path            }
                           'TEMP\',        { Temp-directory                }
                           'TEMPLATE\'     { Template path                 }
                           );

     HelpScreen1         : String =
                           'Keys in command line:'+#13+#10+#10+
                           'POSTUTIL.EXE [d:\path\filename.ext] [[switches]...]'+#13+#10+#10+
                           'filename.ext      - File for posting. (Jokers enable)'+#13;
     HelpScreen2         : String =
                           'Switches:'+#13+#10+#10+
                           '-cCONFIG.CFG      - Use as config CONFIG.CFG'+#13+#10+
                           '-aAREA.TAG        - Post file to area AREA.TAG'+#13+#10+
                           '-!RENFDC          - Set selected modes:';
     HelpScreen3         : String =
                           '   R - Disable Remark in files      F - Disable Macros in files'+#13+#10+
                           '   E - Disable Echo posting         D - Disable change of "@"';
     HelpScreen4         : String =
                           '   N - Disable NetMail posting      C - Disable Command in files'+#13+#10+#10+
                           '-?                - This Help';

     MsgStrings          : Array[0..7] of String[72] =
                          ('',                                   { Subject }
                           ProgramName+VersionStr,             { Tear Line }
                           '-= '+ProgramName+' =- '+CopyRight,  { Origin }
                           '',                                  { FromUser }
                           '',                                    { ToUser }
                           '%R8',                               { DublSubj }
                           '',
                           ''
                           );

     XCrossString       : Array [0..1] of String[79] =
                          (' * Crossposted in ',
                           ' * in '
                           );

     CCopyString        : Array [0..1] of String[79] =
                          ('CC: ',
                           'CC: '
                           );

     FlagMask : Array[0..15] of Word =
                ($0001,$0002,$0004,$0008,$0010,$0020,$0040,$0080,
                 $0100,$0200,$0400,$0800,$1000,$2000,$4000,$8000);

     DefaultFrom        : CarbonType =
                            (Name:ProgramName;
                             Adr:(Zone  :    2;
                                  Net   :   46;
                                  Node  :  999;
                                  Point :    0;
                                  Domain: 'fidonet'
                                  )
                             );

     DefaultTo          : CarbonType =
                            (Name:'SysOp';
                             Adr:(Zone  :    2;
                                  Net   :   46;
                                  Node  :  999;
                                  Point :    0;
                                  Domain: 'fidonet'
                                  )
                             );

     ExitErrorLevel     : Byte       = 0;

     PostFileMode       : Byte       = 0;    { 0 - Rename
                                               1 - Day
                                               2 - Date
                                               3 - Period
                                               4 - Time
                                               5 - New
                                               6 - Delete
                                              }

     Period             : LongInt    = 0;

     PktTerminator      : Word       = 0;

     MsgMaxSize         : LongInt    = 16384;

     PktMaxSize         : LongInt    = 204800;

     MaxLineLength      : Byte       = 79;

     TabSpacingValue    : Byte       = 8;

     UUE_AddFlag        : Boolean    = True;

     XCrossListFlag     : Boolean    = True;

     XCrossMode         : Byte       = 1;

     CCopyListFlag      : Boolean    = True;

     CCopyMode          : Byte       = 2;

     CCViewMode         : Byte       = 1;

     CCAdrMode          : Byte       = 16;

     MaxMsgLines        : Word       = 800;

     MsgFlags           : Word       = 0;
     MsgFlags2          : Word       = 0;
     MsgFlagsMain       : Word       = 0;
     MsgFlags2Main      : Word       = 0;

     DublSubjFlag       : Boolean    = False;

     ShowSeenByFlag	: Boolean    = True;
     ShowPathFlag       : Boolean    = True;
     ShowDomainFlag     : Boolean    = False;

     CookieMode         : Byte       = 0;
     MaxCookie          : Integer    = 0;

     BooleanSets        : Array [0..1,0..13] of Boolean    =
                          (
                          (True,     { UseCludges ? Local               0 }
                           True,     { Change "@" ? Local               1 }
                           True,     { Change "@" ? Global              2 }
                           True,     { Formatted Message ? Local        3 }
                           True,     { Formatted Message ? Global       4 }
                           True,     { Control Lines ? Local            5 }
                           True,     { Control Lines ? Global           6 }
                           True,     { Enable XCross ? Local            7 }
                           True,     { Enable XCross ? Global           8 }
                           True,     { Enable CCopy ?  Local            9 }
                           True,     { Enable CCopy ?  Global          10 }
                           True,     { Remark Enable?  Local           11 }
                           True,     { Remark Enable?  Global          11 }
                           False     { NewLists ?                      13 }
                           ),
                          (True,     { UseCludges ? Local               0 }
                           True,     { Change "@" ? Local               1 }
                           True,     { Change "@" ? Global              2 }
                           True,     { Formatted Message ? Local        3 }
                           True,     { Formatted Message ? Global       4 }
                           True,     { Control Lines ? Local            5 }
                           True,     { Control Lines ? Global           6 }
                           True,     { Enable XCross ? Local            7 }
                           True,     { Enable XCross ? Global           8 }
                           True,     { Enable CCopy ?  Local            9 }
                           True,     { Enable CCopy ?  Global          10 }
                           True,     { Remark Enable?  Local           11 }
                           True,     { Remark Enable?  Global          11 }
                           False     { NewLists ?                      13 }
                           )
                           );

     ViaCludgeType      : Byte       = 1;
                                    {  0 -   "Via"                 }
                                    {  1 -  "Via"  GEcho          }
                                    {  2 -  "Via"  FtnGate        }
                                    {  3 -  "Via"  T-Mail         }

     XCrossCounter      : Integer    = -1;

     CCopyCounter       : Integer    = -1;

     PacketMode         : Byte       = 0;

     DefaultFidoAddress : FidoAddress =
                          (Zone:    2;
                           Net:    46;
                           Node:  999;
                           Point:   0;
                           Domain: 'fidonet'
                           );

